org.eclipse.net4j.db.ddl.delta

## Class IDBDeltaVisitor.Filter.ForbiddenChangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter.ForbiddenChangeException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    IDBDeltaVisitor.Filter

      public static final class IDBDeltaVisitor.Filter.ForbiddenChangeException
      extends java.lang.RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForbiddenChangeException(IDBDelta delta)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBDelta` | `getDelta()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForbiddenChangeException

          public ForbiddenChangeException(IDBDelta delta)

  - ### Method Detail

    - #### getDelta

          public IDBDelta getDelta()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html